<?php
define('PROTECTOR', 1);
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
$textl='Мастерство';
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');
if($set['sila']==0){$kol=1;$pic='almaz';}
elseif($set['sila']==4){$kol=5;$pic='almaz';}
elseif($set['sila']==9){$kol=10;$pic='almaz';}
elseif($set['sila']==14){$kol=20;$pic='almaz';}
elseif($set['sila']==19){$kol=40;$pic='almaz';}
elseif($set['sila']==24){$kol=80;$pic='almaz';}
elseif($set['sila']==29){$kol=160;$pic='almaz';}
elseif($set['sila']==34){$kol=320;$pic='almaz';}
elseif($set['sila']==39){$kol=640;$pic='almaz';}
elseif($set['sila']==44){$kol=1280;$pic='almaz';}
elseif($set['sila']==49){$kol=2560;$pic='almaz';}
else{$ser=$set['sila']*1000;$kol=0;$pic='money';}
if($set['hp']==0){$kol1=1;$pic1='almaz';}
elseif($set['hp']==4){$kol1=5;$pic1='almaz';}
elseif($set['hp']==9){$kol1=10;$pic1='almaz';}
elseif($set['hp']==14){$kol1=20;$pic1='almaz';}
elseif($set['hp']==19){$kol1=40;$pic1='almaz';}
elseif($set['hp']==24){$kol1=80;$pic1='almaz';}
elseif($set['hp']==29){$kol1=160;$pic1='almaz';}
elseif($set['hp']==34){$kol1=320;$pic1='almaz';}
elseif($set['hp']==39){$kol1=640;$pic1='almaz';}
elseif($set['hp']==44){$kol1=1280;$pic1='almaz';}
elseif($set['hp']==49){$kol1=2560;$pic1='almaz';}
else{$ser1=$set['hp']*1000;$kol1=0;$pic1='money';}
if($set['mp']==0){$kol2=1;$pic2='almaz';}
elseif($set['mp']==4){$kol2=5;$pic2='almaz';}
elseif($set['mp']==9){$kol2=10;$pic2='almaz';}
elseif($set['mp']==14){$kol2=20;$pic2='almaz';}
elseif($set['mp']==19){$kol2=40;$pic2='almaz';}
elseif($set['mp']==24){$kol2=80;$pic2='almaz';}
elseif($set['mp']==29){$kol2=160;$pic2='almaz';}
elseif($set['mp']==34){$kol2=320;$pic2='almaz';}
elseif($set['mp']==39){$kol2=640;$pic2='almaz';}
elseif($set['mp']==44){$kol2=1280;$pic2='almaz';}
elseif($set['mp']==49){$kol2=2560;$pic2='almaz';}
else{$ser2=$set['mp']*1000;$kol2=0;$pic2='money';}
if($set['lovk']==0){$kol3=1;$pic3='almaz';}
elseif($set['lovk']==4){$kol3=5;$pic3='almaz';}
elseif($set['lovk']==9){$kol3=10;$pic3='almaz';}
elseif($set['lovk']==14){$kol3=20;$pic3='almaz';}
elseif($set['lovk']==19){$kol3=40;$pic3='almaz';}
elseif($set['lovk']==24){$kol3=80;$pic3='almaz';}
elseif($set['lovk']==29){$kol3=160;$pic3='almaz';}
elseif($set['lovk']==34){$kol3=320;$pic3='almaz';}
elseif($set['lovk']==39){$kol3=640;$pic3='almaz';}
elseif($set['lovk']==44){$kol3=1280;$pic3='almaz';}
elseif($set['lovk']==49){$kol3=2560;$pic3='almaz';}
else{$ser3=$set['lovk']*1000;$kol3=0;$pic3='money';}
if($set['prot']==0){$kol4=1;$pic4='almaz';}
elseif($set['prot']==4){$kol4=5;$pic4='almaz';}
elseif($set['prot']==9){$kol4=10;$pic4='almaz';}
elseif($set['prot']==14){$kol4=20;$pic4='almaz';}
elseif($set['prot']==19){$kol4=40;$pic4='almaz';}
elseif($set['prot']==24){$kol4=80;$pic4='almaz';}
elseif($set['prot']==29){$kol4=160;$pic4='almaz';}
elseif($set['prot']==34){$kol4=320;$pic4='almaz';}
elseif($set['prot']==39){$kol4=640;$pic4='almaz';}
elseif($set['prot']==44){$kol4=1280;$pic4='almaz';}
elseif($set['prot']==49){$kol4=2560;$pic4='almaz';}
else{$ser4=$set['prot']*1000;$kol4=0;$pic4='money';}
if($set['ukrit']==0){$kol5=1;$pic5='almaz';}
elseif($set['ukrit']==4){$kol5=5;$pic5='almaz';}
elseif($set['ukrit']==9){$kol5=10;$pic5='almaz';}
elseif($set['ukrit']==14){$kol5=20;$pic5='almaz';}
elseif($set['ukrit']==19){$kol5=40;$pic5='almaz';}
elseif($set['ukrit']==24){$kol5=80;$pic5='almaz';}
elseif($set['ukrit']==29){$kol5=160;$pic5='almaz';}
elseif($set['ukrit']==34){$kol5=320;$pic5='almaz';}
elseif($set['ukrit']==39){$kol5=640;$pic5='almaz';}
elseif($set['ukrit']==44){$kol5=1280;$pic5='almaz';}
elseif($set['ukrit']==49){$kol5=2560;$pic5='almaz';}
else{$ser5=$set['ukrit']*1000;$kol5=0;$pic5='money';}
switch($_GET['mod']){
default:
echo'<div class="main"><div class="block_zero">';
echo '<img src="image/icon/str.png" alt="*"> Сила: '.$udata['sila'].'<br><small>+ '.$set['sila'].' к мастерству</small>';
if($set['sila']>=50){
echo'<br><span style="color: #999;">У вас максимальный уровень!</span>';
}else{
$exp=$set['sila']/50*100;
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div><small>Чем больше сила, тем больше урона нанесёшь врагу!</small><center><a class="btn" href="masterstvo.php?mod=sila"><span class="end"><span class="label">Улучшить за <img src="image/icon/'.$pic.'.png" alt="*">';
if($pic=='almaz'){
echo' '.$kol.'';
}else{
echo' '.$ser.'';
}
echo'</center></span></span></a>';
}
echo'</div><div class="mini-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero">';
echo '<img src="image/icon/health.png" alt="*"> Жизнь: '.$udata['hp'].'<br><small>+ '.$set['hp'].' к мастерству</small>';
if($set['hp']>=50){
echo'<br><span style="color: #999;">У вас максимальный уровень!</span>';
}else{
$exp=$set['hp']/50*100;
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div><small>Здоровья много не бывает</small><center><a class="btn" href="masterstvo.php?mod=hp"><span class="end"><span class="label">Улучшить за <img src="image/icon/'.$pic1.'.png" alt="*">';
if($pic1=='almaz'){
echo' '.$kol1.'';
}else{
echo' '.$ser1.'';
}
echo'</center></span></span></a>';
}
echo'</div><div class="mini-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero">';

echo '<form action="masterstvo.php?mod=sila" method="POST"><img src="image/icon/def.png" alt="*"> Защита: '.$udata['prot'].'<br><small>+ '.$set['prot'].' к мастерству</small>';
if($set['prot']>=50){
echo'<br><span style="color: #999;">У вас максимальный уровень!</span>';
}else{
$exp=$set['prot']/50*100;
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div><small>Поглощает урон врага</small><center><a class="btn" href="masterstvo.php?mod=prot"><span class="end"><span class="label">Улучшить за <img src="image/icon/'.$pic4.'.png" alt="*">';
if($pic4=='almaz'){
echo' '.$kol4.'';
}else{
echo' '.$ser4.'';
}
echo'</center></span></span></a>';
}
echo'</div><div class="mini-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero">';
echo '<form action="masterstvo.php?mod=sila" method="POST"><img src="image/icon/agi.png" alt="*"> Ловкость: '.$udata['lovk'].'<br><small>+ '.$set['lovk'].' к мастерству</small>';
if($set['lovk']>=50){
echo'<br><span style="color: #999;">У вас максимальный уровень!</span>';
}else{
$exp=$set['lovk']/50*100;
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div><small>Увеличивает шанс на крит.удар и уворот</small><center><a class="btn" href="masterstvo.php?mod=lovk"><span class="end"><span class="label">Улучшить за <img src="image/icon/'.$pic3.'.png" alt="*">';
if($pic3=='almaz'){
echo' '.$kol3.'';
}else{
echo' '.$ser3.'';
}
echo'</center></span></span></a>';
}
echo'</div><div class="mini-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero">';
echo '<form action="masterstvo.php?mod=sila" method="POST"><img src="image/icon/tournament.png" alt="*"> Крит-урон: '.$udata['ukrit'].'<br><small>+ '.$set['ukrit'].' к мастерству</small>';
if($set['ukrit']>=50){
echo'<br><span style="color: #999;">У вас максимальный уровень!</span>';
}else{
$exp=$set['ukrit']/50*100;
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div><small>Увеличивает урон от крит.удара</small><center><a class="btn" href="masterstvo.php?mod=ukrit"><span class="end"><span class="label">Улучшить за <img src="image/icon/'.$pic5.'.png" alt="*">';
if($pic5=='almaz'){
echo' '.$kol5.'';
}else{
echo' '.$ser5.'';
}
echo'</center></span></span></a>';
}
echo'</div><div class="mini-line"></div></div>';
//**********
echo'<div class="main"><div class="block_zero">';
echo '<form action="masterstvo.php?mod=sila" method="POST"><img src="image/icon/mana.png" alt="*"> Мана: '.$udata['mp'].'<br><small>+ '.$set['mp'].' к мастерству</small>';
if($set['mp']>=50){
echo'<br><span style="color: #999;">У вас максимальный уровень!</span>';
}else{
$exp=$set['mp']/50*100;
echo'<div class="stat_bar"><div class="progress" style="width:'.$exp.'%"></div></div><small>Увеличивает запас маны</small><center><a class="btn" href="masterstvo.php?mod=mp"><span class="end"><span class="label">Улучшить за <img src="image/icon/'.$pic2.'.png" alt="*">';
if($pic2=='almaz'){
echo' '.$kol2.'';
}else{
echo' '.$ser2.'';
}
echo'</center></span></span></a>';
}
//**********
echo'</div><div class="dot-line"></div></div>';
echo'<div class="main"><div class="block_zero">';
echo'<img src="image/icon/skill.png" alt="*"> Мастерство: '.$mast.'';
echo'</div><div class="mini-line"></div></div>';
echo'<div class="main"><div class="block_zero"><small><span style="color: #f96;"> &#9642; Прокачивая параметры, Вы увеличиваете мастерство, необходимое для приобретения лучших комплектов вооружения</small>';
echo'</div></div>';
break;

case 'sila':
if($udata['almaz']<$kol OR $udata['money']<$ser){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($set['sila']>=50){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol', `money` = `money`-'$ser', `sila` = `sila`+1 WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `sila` = `sila`+1, `lvl` = `lvl`+1 WHERE `usr` = '$log'");
}
header('Location: masterstvo.php');exit;
break;

case 'hp':
if($udata['almaz']<$kol1 OR $udata['money']<$ser1){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($set['hp']>=50){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol1', `money` = `money`-'$ser1', `hp` = `hp`+1, `hpall` = `hpall`+1 WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `hp` = `hp`+1, `lvl` = `lvl`+1 WHERE `usr` = '$log'");
}
header('Location: masterstvo.php');exit;
break;

case 'prot':
if($udata['almaz']<$kol4 OR $udata['money']<$ser4){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($set['prot']>=50){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol4', `money` = `money`-'$ser4', `prot` = `prot`+1 WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `prot` = `prot`+1, `lvl` = `lvl`+1 WHERE `usr` = '$log'");
}
header('Location: masterstvo.php');exit;
break;

case 'lovk':
if($udata['almaz']<$kol3 OR $udata['money']<$ser3){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($set['lovk']>=50){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol3', `money` = `money`-'$ser3', `lovk` = `lovk`+1 WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `lovk` = `lovk`+1, `lvl` = `lvl`+1 WHERE `usr` = '$log'");
}
header('Location: masterstvo.php');exit;
break;

case 'ukrit':
if($udata['almaz']<$kol5 OR $udata['money']<$ser5){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($set['ukrit']>=50){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol5', `money` = `money`-'$ser5', `ukrit` = `ukrit`+1 WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `ukrit` = `ukrit`+1, `lvl` = `lvl`+1 WHERE `usr` = '$log'");
}
header('Location: masterstvo.php');exit;
break;

case 'mp':
if($udata['almaz']<$kol2 OR $udata['money']<$ser2){
echo'<div class="main"><div class="block_zero center">У вас не хватает монет!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}
elseif($set['mp']>=50){
echo'<div class="main"><div class="block_zero center">Нельзя повысить у вас максимальный уровень!</div></div><div class="mini-line"></div><div class="main"><div class="block_zero"><a href="masterstvo.php?"><span style="color: #999;"><< Назад</span></a></div></div>';
break;
}else{
mysql_query("UPDATE `users` SET `almaz` = `almaz`-'$kol2', `money` = `money`-'$ser2', `mp` = `mp`+1, `mpall` = `mpall`+1 WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `mp` = `mp`+1, `lvl` = `lvl`+1 WHERE `usr` = '$log'");
}
header('Location: masterstvo.php');exit;
break;
}
include($path.'files/down.php');
?>